﻿package sexy_filter;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.HashMap;
import java.util.Map;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.codec.digest.DigestUtils;

/*
* 共三种传图片方式，file,image_url,image_id必须选择其中的一个，
* 采用抓取网络图片方式时选取此参数,支持的文件类型包括：静态图片或图片压缩包(jpg, jpeg, bmp, png大小不超过10M，zip大小不超过50M)，url数组(数量不超过20)
* image_id时选取此参数，可在多个接口间共享，减少图片传输的带宽，支持的类型包括：image_id字符串或字符串数组(数量不超过20)
* 将图片二进制数据写入到HttpQuest body中，则不需要上传参数，否则需要上传image_url或image_id参数，body为空即可。
* 本示例采用将图片二进制数据写入到body中的方式
* 具体细节请参考官网接口文档：https://doc.xfyun.cn/rest_api/index.html
 */
public class sexy {
			//webapi 接口地址
			private static final String WEBOCR_URL = "http://api.xfyun.cn/v1/service/v1/image_identify/sexy_filter";
			// 应用ID
			private static final String APPID = "";
			// 接口密钥
			private static final String API_KEY = "";
			
			
			// 图片地址
			private static final String AUDIO_PATH = "";
			/**
			 * 色情内容过滤  WebAPI 调用示例程序
			 * 
			 * @param args
			 * @throws IOException
			 */
			public static void main(String[] args) throws IOException {
				Map<String, String> header = buildHttpHeader();
				byte[] imageByteArray = FileUtil.read(AUDIO_PATH);
				String imageBase64 = new String(Base64.encodeBase64(imageByteArray), "UTF-8");
				String result = HttpUtil.doPost1(WEBOCR_URL, header, "file=" + URLEncoder.encode(imageBase64, "UTF-8"));
				System.out.println("WEB 色情内容过滤  接口调用结果：" + result);
			}

			/**
			 * 组装http请求头
			 */
			private static Map<String, String> buildHttpHeader() throws UnsupportedEncodingException {
				String curTime = System.currentTimeMillis() / 1000L + "";
				
				String checkSum = DigestUtils.md5Hex(API_KEY + curTime);
				Map<String, String> header = new HashMap<String, String>();
				header.put("Content-Type", "application/x-www-form-urlencoded; charset=utf-8");
				
				header.put("X-CurTime", curTime);
				header.put("X-CheckSum", checkSum);
				header.put("X-Appid", APPID);
				return header;
			}
}
